Name:           lives
Version:        1.3.3
Release:        1%{?dist}
Summary:        Linux Video Editing System

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://lives.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  alsa-lib-devel
BuildRequires:  frei0r-devel
BuildRequires:  gtk2-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libavc1394-devel
BuildRequires:  libdv-devel
BuildRequires:  libogg-devel
BuildRequires:  liboil-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvisual-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libX11-devel
BuildRequires:  SDL-devel
BuildRequires:  mjpegtools-devel
BuildRequires:  pulseaudio-libs-devel
Requires:       sox

%description
LiVES mixes realtime video performance and non-linear editing in one 
professional quality application. It will let you start editing and making video
right away, without having to worry about formats, frame sizes, or framerates. 
It is a very flexible tool which is used by both professional VJ's and video 
editors - mix and switch clips from the keyboard, use dozens of realtime 
effects, trim and edit your clips in the clip editor, and bring them together 
using the multitrack timeline. You can even record your performance in real 
time, and then edit it further or render it straight away. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/LiVES.desktop

%find_lang %{name}

# /usr/bin/lives is only a symlink to /usr/bin/lives-exe. Let's fix this.
rm $RPM_BUILD_ROOT%{_bindir}/%{name}
mv $RPM_BUILD_ROOT%{_bindir}/%{name}-exe $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING FEATURES NEWS README docs/* weed-docs/
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{name}/
%{_datadir}/applications/LiVES.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/


%files devel
%defattr(-,root,root,-)
%{_includedir}/weed/
%{_libdir}/*.so

%changelog
* Sun Jan 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.3-1
- Initial package
